<?php


/**
 * Class SmartBtnDecoder
 */
class SmartBtnDecoder
{
    /**
     * @var
     */
    private $encodedToken;
    /**
     * @var
     */
    private $host;
    /**
     * @var
     */
    private $id;
    /**
     * @var
     */
    private $token;

    /**
     * SmartBtnDecoder constructor.
     * @param $encodedString
     */
    public function __construct($encodedString)
    {
        $this->encodedToken = $encodedString;
        $this->decode();

    }

    /**
     *
     */
    private function decode()
    {
        $str =  utf8_decode(base64_decode($this->encodedToken));
        $this->token = substr($str, 0,80);
        $data  = substr($str,80);
        $array = explode("/", $data);
        $this->id = array_pop($array);
        $this->host = str_replace('/' . $this->id, "", $data);
    }

    /**
     * @return array
     */
    public function get_data()
    {
        return array(
            'id' => $this->id,
            'host' => $this->host,
            'token' => $this->token,
            'version' => SMARTBTN__VERSION,
        );
    }
}
