<?php
add_action('admin_menu', 'add_sma_link_menu_dashboard');
function add_sma_link_menu_dashboard()
{
    add_menu_page(
        'Operator',
        'Smartbtn',
        'manage_options',
        'smartbtn/includes/sma_page.php',
        null,
        plugin_dir_url(__FILE__) . 'images/ico.png',
    );

}

add_action('init', 'sma_plugin_scripts');

function sma_plugin_scripts()
{

    wp_register_style('sma-style', plugins_url('/smartbtn/css/style.css'));
    wp_enqueue_style('sma-style', get_stylesheet_uri());
    setLang();
}

function setLang()
{
    if (stripos(get_locale(), 'ru_RU') !== false) {
        setcookie('lang', 'ru', 0, "/");
    } else {
        setcookie('lang', 'en', 0, "/");
    }
}
